program tabslave;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}CThreads,{$ENDIF}
  {$IFDEF MSWINDOWS} DPIfix in '..\wutils\DPIfix.pas', {$ENDIF}
  Interfaces,
  Forms, Menus, Classes, SysUtils, TextWin, ImageMod, TabTextForm;

var
  i: Integer;
  CurDir, OrgDir: string;
{ TODO: Scroll doesn't hide and reveal cursor }
{ TODO: Scroll bars not quite right }

{$R *.res}

var
  FirstFile: Integer;
begin
  Application.Initialize;
  Application.CreateForm(TImageModule, ImageModule);
  Application.CreateForm(TTabbedMainText, TabbedMainText);
  Application.ProcessMessages;
  try
    if ParamCount > 0 then
      if (ParamStr(1)[1] = '.') and (Pos(PathDelim, ParamStr(1)) = 0) then begin
        TabbedMainText.SetDefaultExt(ParamStr(1));
        TabbedMainText.TabbedOpenExecute(nil);
      end else begin
        if ParamStr(1) = '--cd' then begin
          FirstFile := 3;
          SetCurrentDir(ParamStr(2));
        end else
          FirstFile := 1;
        OrgDir := GetCurrentDir;
        if FirstFile <= Paramcount then
          TabbedMainText.LoadFile(ParamStr(FirstFile));
        CurDir := GetCurrentDir;
        for i := FirstFile+1 to ParamCount do begin
          SetCurrentDir(OrgDir);
          TabbedMainText.LoadFile{Into}(ParamStr(i){, MainText});
        end;
        SetCurrentDir(CurDir);
      end;
  except
    on E:Exception do
      Application.ShowException(E);
  end;
  Application.Run;
end.

