
CLEANLFM = cleanlfm -lazarus -c -t -v -fi -posonly

DFMS = CntrOptns.dfm FixDlg.dfm GraphMrk.dfm GraphPen.dfm ImageMod.dfm \
	LogBase.dfm LogFiDlg.dfm MarkChse.dfm PenChse.dfm Prevwdlg.dfm \
	ProfileForm.dfm ProjAbout.dfm TextPre.dfm TextWin.dfm 

.SUFFIXES: .dfm .lfm .lrs

all: lrss

lrss: $(DFMS:.dfm=.lrs)

lfms: $(DFMS:.dfm=.lfm)

patches: $(DFMS:.lfm=.lfm.patch)

%.lrs: %.lfm
	lazres $@ $<

%.lfm: %.dfm
	$(CLEANLFM) $<
	cp $< $<.orig
	cp $@ $@.orig
	-../cleanlfm/difflfm -apply $@.diff $@

%.lfm.patch: %.dfm
	$(CLEANLFM) -o$*.lfm.orig $<
	-diff -uw $*.lfm.orig $*.lfm >$@
	rm $*.lfm.orig

clean:
	-rm *.o *.ppu *.dcu


veryclean: clean
	rm *.bak *.~* *~

.SECONDARY:

