unit SwapCols;
{$I utils.inc}{ Copyright (C) 2007 C M Western; see GraphC.pas for license}
interface

uses Graphics, Forms, Controls, StdCtrls, Buttons, ExtCtrls, SysUtils, Classes;

type

  { TSwapColsDlg }

  TSwapColsDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    Column1: TComboBox;
    Label2: TLabel;
    Column2: TComboBox;
    procedure FormResize(Sender: TObject);
  end;

var
  SwapColsDlg: TSwapColsDlg;

implementation

{$IFNDEF LCL_}
{$R *.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TSwapColsDlg }

procedure TSwapColsDlg.FormResize(Sender: TObject);
begin
  {$IFDEF LCL_}
  OKBtn.Width := CancelBtn.Width;
  Bevel1.Height := Column2.Top + Column2.Height - Bevel1.Top + Column1.Top - Bevel1.Top;
  {$ENDIF}
end;

end.
