
CLEANLFM = cleanlfm -lazarus -c -t -v -fi -posonly

DFMS = AddStat.dfm AdvOpt.dfm Gendlg.dfm PickDest.dfm

.SUFFIXES: .dfm .lfm .lrs

all: lrss

lrss: $(DFMS:.dfm=.lrs)

lfms: $(DFMS:.dfm=.lfm)

patches: $(DFMS:.lfm=.lfm.patch)

%.lrs: %.lfm
	lazres $@ $<

%.lfm: %.dfm
	$(CLEANLFM) $<
	cp $< $<.orig
	cp $@ $@.orig
	-../cleanlfm/difflfm -apply $@.diff $@

%.lfm.patch: %.dfm
	$(CLEANLFM) -o$*.lfm.orig $<
	-diff -uw $*.lfm.orig $*.lfm >$@
	rm $*.lfm.orig

clean:
	-rm *.o *.ppu *.dcu


veryclean: clean
	rm *.bak *.~* *~

.SECONDARY:
