unit CompressDlg;
{$I utils.inc}{Copyright (C) 2005 C M Western; see commandline.pas for license}

interface

uses
  SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, NewSpin, AlEdit, EditExtr;

type

  { TCompressForm }

  TCompressForm = class(TForm)
    GroupBox: TGroupBox;
    xIntervalRadioButton: TRadioButton;
    EquallySpacedRadioButton: TRadioButton;
    nPointsSpin: TSpinBox;
    xIntervalSpin: TFixedSpin;
    OKButton: TButton;
    CancelButton: TButton;
    procedure EquallySpacedRadioButtonClick(Sender: TObject);
    procedure EquallySpacedRadioButtonKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormResize(Sender: TObject);
  end;

var
  CompressForm: TCompressForm;

implementation

{$IFNDEF FPC}
{$R *.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

procedure TCompressForm.EquallySpacedRadioButtonClick(Sender: TObject);
begin
  nPointsSpin.Enabled := EquallySpacedRadioButton.Checked;
  xIntervalSpin.Enabled := xIntervalRadioButton.Checked;
end;

procedure TCompressForm.EquallySpacedRadioButtonKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  EquallySpacedRadioButtonClick(nil);
end;

procedure TCompressForm.FormResize(Sender: TObject);
begin
  Constraints.MinWidth := xIntervalSpin.ExtraControl.Left + xIntervalSpin.ExtraControl.Width + GroupBox.Left + 15;
end;

end.
