inherited MainForm: TMainForm
  Left = 120
  Top = 96
  Caption = 'PGOPHER'
  ClientHeight = 500
  ClientWidth = 869
  DefaultMonitor = dmDesktop
  Menu = MainMenu
  ShowHint = True
  OnCloseQuery = FormCloseQuery
  ExplicitWidth = 885
  ExplicitHeight = 558
  PixelsPerInch = 96
  TextHeight = 13
  inherited Split: TSplit
    Top = 347
    Width = 869
    ExplicitLeft = 25
    ExplicitTop = 278
    ExplicitWidth = 700
  end
  inherited ToolBar: TToolBar
    Width = 869
    Height = 25
    EdgeBorders = [ebTop]
    EdgeInner = esRaised
    EdgeOuter = esLowered
    ExplicitWidth = 869
    ExplicitHeight = 25
    inherited OpenButton: TSpeedButton
      Visible = True
      OnClick = OpenItemClick
    end
    inherited ShowPartsButton: TSpeedButton
      OnClick = ShowSumButtonClick
    end
  end
  inherited StatusBar: TStatusBar
    Top = 481
    Width = 869
    ExplicitTop = 481
    ExplicitWidth = 869
  end
  inherited G: TGraphD
    Top = 351
    Width = 869
    ExplicitTop = 351
    ExplicitWidth = 869
  end
  inherited OC: TGraphD
    Top = 25
    Width = 869
    Height = 322
    ExplicitTop = 25
    ExplicitWidth = 869
    ExplicitHeight = 322
  end
  inherited OverlayPopupMenu: TPopupMenu
    Left = 105
    Top = 184
  end
  object MainMenu: TMainMenu
    Left = 23
    Top = 41
    object FileMenu: TMenuItem
      Caption = '&File'
      object NewItem: TMenuItem
        Caption = '&New'
        object EmptyMixtureItem: TMenuItem
          Caption = '&Empty Mixture'
          Hint = 'Create a new mixture with no content'
          OnClick = EmptyMixtureItemClick
        end
        object NewLinearMoleculeItem: TMenuItem
          Caption = '&Linear Molecule'
          Hint = 'Make constants for a sample linear molecule'
          OnClick = NewLinearMoleculeItemClick
        end
        object AsymmetricTopItem: TMenuItem
          Caption = '&Asymmetric Top'
          Hint = 'Make constants for a sample asymmetric top'
          OnClick = AsymmetricTopItemClick
        end
        object SymmetricTopItem: TMenuItem
          Caption = '&Symmetric Top'
          Hint = 'Make constants for a sample symmetric top'
          OnClick = SymmetricTopItemClick
        end
        object VibrationalSpectrumItem: TMenuItem
          Caption = '&Vibrational Spectrum'
          Hint = 'Set up a basic data file for simulating vibrational structure'
          OnClick = VibrationalSpectrumItemClick
        end
        object CalibrationItem: TMenuItem
          Caption = '&Calibration'
          object I2Item: TMenuItem
            Caption = '&I2'
            Hint = 'Overlay molecular iodine spectrum'
            OnClick = I2ItemClick
          end
        end
      end
      object OpenItem: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          0400000000008000000000000000000000001000000000000000000000000000
          80000080000000808000800000008000800080800000C0C0C000808080000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00777777777777
          77777777777777777777000000000007777700333333333077770B0333333333
          07770FB03333333330770BFB0333333333070FBFB000000000000BFBFBFBFB07
          77770FBFBFBFBF0777770BFB0000000777777000777777770007777777777777
          7007777777770777070777777777700077777777777777777777}
        Caption = '&Open...'
        Hint = 'Open any file'
        ShortCut = 16463
        OnClick = OpenItemClick
      end
      object SaveItem: TMenuItem
        Caption = '&Save'
        Hint = 'Save simulation parameters to .pgo file'
        ShortCut = 16467
        OnClick = SaveItemClick
      end
      object SaveAsItem: TMenuItem
        Caption = 'Save &As...'
        Hint = 'Save simulation parameters to a .pgo file with a new name'
        OnClick = SaveAsItemClick
      end
      object ImportItem: TMenuItem
        Caption = '&Import'
        Hint = 'Import old style data files'
        object OldPgopherItem: TMenuItem
          Caption = 'Old &Pgopher...'
          Hint = 'Load old pgopher data file'
          OnClick = OldPgopherItemClick
        end
        object OldD3hItem: TMenuItem
          Caption = 'Old &D3h...'
          Hint = 'Load old D3h data file'
          OnClick = OldD3hItemClick
        end
        object CALPGMfileItem: TMenuItem
          Caption = 'SPCAT/SPFIT file...'
          Hint = 'Import SPCAT/SPFIT .par or .var files'
          OnClick = CALPGMfileItemClick
        end
        object SpecViewfileItem: TMenuItem
          Caption = '&SpecView file...'
          Hint = 'Import .svw files from Ohio SpecView program'
          OnClick = SpecViewfileItemClick
        end
        object JB95FileItem: TMenuItem
          Caption = 'JB95 File...'
          Hint = 'Import JB95 files'
          OnClick = JB95FileItemClick
        end
        object HitranFileItem: TMenuItem
          Caption = '&HITRAN File...'
          Hint = 'Import HITRAN file as external line list'
          ImageIndex = 1
          OnClick = HitranFileItemClick
        end
        object BinaryfileItem: TMenuItem
          Caption = '&Binary File...'
          Hint = 'Import binary overlay file'
          OnClick = BinaryfileItemClick
        end
        object STROTABFileItem: TMenuItem
          Caption = 'STROTAB File...'
          Hint = 'Import .sta files as used by STROTAB program'
          OnClick = STROTABFileItemClick
        end
        object LmatrixImportITEM: TMenuItem
          Caption = '&l matrix...'
          Hint = 'Import l matrix and normal modes from ab initio programs'
          OnClick = LmatrixImportITEMClick
        end
        object VIBCAImportItem: TMenuItem
          Caption = '&VIBCA File...'
          Hint = 'Import .vib files as used by VIBCA program'
          OnClick = VIBCAImportItemClick
        end
        object ExoMolFileItem: TMenuItem
          Caption = 'E&xoMol File...'
          OnClick = ExoMolFileItemClick
        end
      end
      object ExportItem: TMenuItem
        Caption = '&Export'
        object ExportLineListItem: TMenuItem
          Caption = '&Line List...'
          Hint = 'Export current simulation as a line list to a file.'
          OnClick = ExportLineListItemClick
        end
        object ExportPlotItem: TMenuItem
          Caption = 'Main &Plot...'
          Hint = 'Export lower or only plot to a file'
          OnClick = ExportPlotItemClick
        end
        object TopPlotItem: TMenuItem
          Caption = '&Top Plot...'
          Hint = 'Export top plot to a file'
          OnClick = TopPlotItemClick
        end
      end
      object MergeItem: TMenuItem
        AutoCheck = True
        Caption = '&Merge'
        Hint = 'Set for subsequent file loads to merge rather than overwrite'
        ShortCut = 16461
      end
      object FileOptionsItem: TMenuItem
        Caption = '&File Options'
        object SavePositionsItem: TMenuItem
          AutoCheck = True
          Caption = 'Save Pos&itions'
          Hint = 
            'Check to save window positions and some other settings in .pgo f' +
            'ile'
        end
        object SaveSettingsItem: TMenuItem
          AutoCheck = True
          Caption = 'Save &Settings'
          Checked = True
          Hint = 
            'Checked to save plot settings not recorded in the mixture to the' +
            ' .pgo file when writing it.'
        end
        object LoadPositionsItem: TMenuItem
          AutoCheck = True
          Caption = 'Load &Positions'
          Checked = True
          Hint = 'Check to load window positions from a .pgo file when reading.'
        end
        object LoadSettingsItem: TMenuItem
          AutoCheck = True
          Caption = '&Load Settings'
          Checked = True
          Hint = 'Check to load plot settings from a .pgo file when reading.'
        end
      end
      object AnotherItem: TMenuItem
        Caption = 'Ano&ther'
        Hint = 'Start another copy of PGOPHER'
        OnClick = AnotherItemClick
      end
      object N6: TMenuItem
        Caption = '-'
      end
      object LoadOverlayItem: TMenuItem
        Caption = '&Load Overlay...'
        Hint = 'Load overlay from file'
        ImageIndex = 1
        OnClick = LoadOverlayItemClick
      end
      object AddOverlayItem: TMenuItem
        Caption = 'Add Overlay...'
        Hint = 'Load overlay from file, leaving the current overlays in place'
        OnClick = AddOverlayItemClick
      end
      object SaveOverlayItem: TMenuItem
        Caption = 'Save Overla&y'
        Hint = 'Save overlay(s) to file'
        OnClick = SaveOverlayItemClick
      end
      object SaveOverlayAsItem: TMenuItem
        Caption = 'Save Overlay As ...'
        Hint = 'Save overlay(s) to new file'
        OnClick = SaveOverlayAsItemClick
      end
      object N2: TMenuItem
        Caption = '-'
      end
      object PrintItem: TMenuItem
        Caption = '&Print...'
        Hint = 'Print current plot'
        OnClick = PrintItemClick
      end
      object PrintSetupItem: TMenuItem
        Caption = 'P&rint Setup...'
        Hint = 'Setup printer'
        OnClick = PrintSetupItemClick
      end
      object FileExitSeparator: TMenuItem
        Caption = '-'
      end
      object ExitItem: TMenuItem
        Caption = 'E&xit'
        Hint = 'Leave program'
        OnClick = ExitItemClick
      end
    end
    object EditMenu: TMenuItem
      Caption = '&Edit'
      OnClick = EditMenuClick
      object CopyItem: TMenuItem
        Action = ExCopy
      end
      object PasteItem: TMenuItem
        Action = ExPaste
      end
      object CopyPictureItem: TMenuItem
        Caption = 'Copy Main P&lot'
        Hint = 'IMPORTANT: Try paste special in your destination application'
        ImageIndex = 1
        OnClick = CopyPictureItemClick
      end
      object CopyTopPlotItem: TMenuItem
        Caption = 'Copy &Top Plot'
        Hint = 'IMPORTANT: Try paste special in your destination application'
        OnClick = CopyTopPlotItemClick
      end
      object PasteOverlay1Item: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          0400000000008000000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          888888888844444444448000004FFFFFFFF40737374F000000F40373734FFFFF
          FFF40737374F000F44440373734FFFFF4F480737374FFFFF4488037373444444
          408807373737373730880370000000077088077088888807308803730B00B073
          7088800000BB0000088888888000088888888888888888888888}
        Caption = 'Paste &Overlay'
        Hint = 'Paste a spectrum to overlay on the simulation from the clipboard'
        OnClick = PasteOverlayItemClick
      end
    end
    object PlotMenu: TMenuItem
      Caption = '&Plot'
      object LeftItem: TMenuItem
        Bitmap.Data = {
          DE000000424DDE0000000000000076000000280000000D0000000D0000000100
          0400000000006800000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8000888888088888800088888008888880008888060888888000888066000008
          8000880666666608800080666666660880008806666666088000888066000008
          8000888806088888800088888008888880008888880888888000888888888888
          8000}
        Caption = '&Left'
        Hint = 'Shift plot range to left'
        ShortCut = 33
        OnClick = LeftButtonClick
      end
      object RightItem: TMenuItem
        Bitmap.Data = {
          DE000000424DDE0000000000000076000000280000000D0000000D0000000100
          0400000000006800000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8000888888088888800088888800888880008888880608888000880000066088
          8000880666666608800088066666666080008806666666088000880000066088
          8000888888060888800088888800888880008888880888888000888888888888
          8000}
        Caption = '&Right'
        Hint = 'Shift plot range to right'
        ShortCut = 34
        OnClick = RightButtonClick
      end
      object CompressItem: TMenuItem
        Bitmap.Data = {
          DE000000424DDE0000000000000076000000280000000D0000000D0000000100
          0400000000006800000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8000088888888888000000888888888000000608888888060000066088888066
          0000066608880666000006666080666600000666088806660000066088888066
          0000060888888806000000888888888000000888888888880000888888888888
          8000}
        Caption = '&Compress'
        Hint = 'Compress horizontal plot range'
        ShortCut = 16465
        OnClick = CompressButtonClick
      end
      object ExpandItem: TMenuItem
        Bitmap.Data = {
          DE000000424DDE0000000000000076000000280000000D0000000D0000000100
          0400000000006800000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8000888880808888800088880080088880008880608060888000880660806608
          8000806660806660800006666080666600008066608066608000880660806608
          8000888060806088800088880080088880008888808088888000888888888888
          8000}
        Caption = '&Expand'
        Hint = 'Expand horizontal plot range'
        ShortCut = 16471
        OnClick = ExpandButtonClick
      end
      object PlotSelectionItem: TMenuItem
        Bitmap.Data = {
          76010000424D7601000000000000760000002800000020000000100000000100
          0400000000000001000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8808800666666666600888888888888880008880666666660888888888888888
          0008788806666660888788888888888000887888806666088878888888888800
          0888878888066088878888870007807088888788888008887888880777770008
          8888887888888887888880768F8670888888887888888878888877668F866778
          8888888788888788888807888F8887088888888080808088888807FFFFFFF708
          8888888888888888888807888F8887088888606006660060606877668F866778
          8888888880608888888880768F86708888888880880880888888880777770888
          8888888888888888888888870007888888888880808080888888}
        Caption = '&Plot Selection'
        Hint = 'Change horizontal plot range to selected range'
        OnClick = XZoomButtonClick
      end
      object AllItem: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          0400000000008000000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8888888888888888888888888888888888880088888008008800007888700800
          8800800000007800880080088800880088008708880788008800870787078800
          8800880080088800880088708008880088008880007888008800888000888800
          8800888888888888888888888888888888888888888888888888}
        Caption = '&All'
        Hint = 'Plot entire spectrum'
        ShortCut = 16449
        OnClick = AllButtonClick
      end
      object N3: TMenuItem
        Caption = '-'
      end
      object SimulateItem: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          0400000000008000000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8888111111111111111171111111111111118711171111177111881118711178
          8111881118711178811188111871117881118871788111888717887178811188
          8717888188811188881888888881118888888888888111888888888888871788
          8888888888871788888888888887178888888888888878888888}
        Caption = 'S&imulate'
        Hint = 'Simulate spectrum'
        OnClick = SimulateButtonClick
      end
      object ShowLinelistItem: TMenuItem
        Caption = 'Li&nelist'
        Hint = 'Simulate spectrum and show linelist in log window'
        OnClick = ShowLinelistItemClick
      end
      object NextPlotstyleItem: TMenuItem
        Bitmap.Data = {
          36050000424D3605000000000000360400002800000010000000100000000100
          0800000000000001000000000000000000000001000000000000000000000000
          80000080000000808000800000008000800080800000C0C0C000C0DCC000F0CA
          A6000020400000206000002080000020A0000020C0000020E000004000000040
          20000040400000406000004080000040A0000040C0000040E000006000000060
          20000060400000606000006080000060A0000060C0000060E000008000000080
          20000080400000806000008080000080A0000080C0000080E00000A0000000A0
          200000A0400000A0600000A0800000A0A00000A0C00000A0E00000C0000000C0
          200000C0400000C0600000C0800000C0A00000C0C00000C0E00000E0000000E0
          200000E0400000E0600000E0800000E0A00000E0C00000E0E000400000004000
          20004000400040006000400080004000A0004000C0004000E000402000004020
          20004020400040206000402080004020A0004020C0004020E000404000004040
          20004040400040406000404080004040A0004040C0004040E000406000004060
          20004060400040606000406080004060A0004060C0004060E000408000004080
          20004080400040806000408080004080A0004080C0004080E00040A0000040A0
          200040A0400040A0600040A0800040A0A00040A0C00040A0E00040C0000040C0
          200040C0400040C0600040C0800040C0A00040C0C00040C0E00040E0000040E0
          200040E0400040E0600040E0800040E0A00040E0C00040E0E000800000008000
          20008000400080006000800080008000A0008000C0008000E000802000008020
          20008020400080206000802080008020A0008020C0008020E000804000008040
          20008040400080406000804080008040A0008040C0008040E000806000008060
          20008060400080606000806080008060A0008060C0008060E000808000008080
          20008080400080806000808080008080A0008080C0008080E00080A0000080A0
          200080A0400080A0600080A0800080A0A00080A0C00080A0E00080C0000080C0
          200080C0400080C0600080C0800080C0A00080C0C00080C0E00080E0000080E0
          200080E0400080E0600080E0800080E0A00080E0C00080E0E000C0000000C000
          2000C0004000C0006000C0008000C000A000C000C000C000E000C0200000C020
          2000C0204000C0206000C0208000C020A000C020C000C020E000C0400000C040
          2000C0404000C0406000C0408000C040A000C040C000C040E000C0600000C060
          2000C0604000C0606000C0608000C060A000C060C000C060E000C0800000C080
          2000C0804000C0806000C0808000C080A000C080C000C080E000C0A00000C0A0
          2000C0A04000C0A06000C0A08000C0A0A000C0A0C000C0A0E000C0C00000C0C0
          2000C0C04000C0C06000C0C08000C0C0A000F0FBFF00A4A0A000808080000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00F761616161F7
          F7F7F7F7F7F761616161F7616A61AA61F7F7F7F7F7616A61AA61F7F7F7616161
          61F7F7F761619A61F7F7F7F7F7F7AA61AA61F7F761AA61F7F7F7F7F7F7F7F761
          6161F761616161F7F7F7F7F7F7F7F76161AA6161AA61F7F7F7F7F7F7F7F7F7F7
          6161AA6161F7F7F7F7F7F7F7F7F7F7F7F79A616161F7F7F7F7F7F7F7F7F7F7F7
          F7F74C4C4CF7F7F7F7F7F7F7F7F7F7F7F74C4C4C4C4CF7F7F7F7F7F7F7F7F7F7
          4C4C4C4C4C4C4CF7F7F7F7F7F7F7F7F74C4C4CF74C4C4CF7F7F7F7F7F7F7F74C
          4C4CF7F74C4C4C4CF7F7F7F7F7F74C4C4C4CF7F7F74C4C4C4CF7F74C4C4C4C4C
          4CF7F7F7F7F74C4C4C4CF74C4C4C4C4CF7F7F7F7F7F7F74C4C4C}
        Caption = 'Ne&xt Plotstyle'
        Hint = 'Cycle through available styles of plot'
        OnClick = PlotStyleButtonClick
      end
      object ShowPartsItem: TMenuItem
        Caption = 'Show Par&ts'
        Hint = 'Show individual spectra making up overall spectrum'
        OnClick = ShowPartsItemClick
      end
      object ShowSumItem: TMenuItem
        Caption = 'Show Su&m'
        Hint = 'Show Total|Toggle total spectrum display'
        OnClick = ShowSumItemClick
      end
      object FortratItem: TMenuItem
        Caption = '&Fortrat'
        Hint = 'Fortrat Diagram Options'
        object ShowFortratItem: TMenuItem
          Caption = 'Sho&w'
          Hint = 'Toggle display of Fortrat Diagram'
          OnClick = ShowFortratItemClick
        end
        object UpperStateItem: TMenuItem
          AutoCheck = True
          Caption = '&Upper'
          Hint = 'Use upper rather than lower state quantum numbers'
          OnClick = UpperStateItemClick
        end
      end
      object UnitsItem: TMenuItem
        Caption = '&Units'
        Hint = 'Set units for horizontal axis'
        object WavenumbersItem: TMenuItem
          Caption = '&Wavenumbers'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object MHzItem: TMenuItem
          Tag = 1
          Caption = '&MHz'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object KelvinItem: TMenuItem
          Tag = 2
          Caption = '&Kelvin'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object eVItem: TMenuItem
          Tag = 3
          Caption = '&eV'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object VelocityItem: TMenuItem
          Tag = 4
          Caption = '&Velocity'
          GroupIndex = 3
          Hint = 'Square root of energy in units of cm^-1/2'
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object nmVacuumItem: TMenuItem
          Tag = 5
          Caption = 'nm (&Vacuum)'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object nmAirItem: TMenuItem
          Tag = 6
          Caption = 'nm (&Air)'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object angVacItem: TMenuItem
          Tag = 7
          Caption = #197' (Vac&uum)'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
        object angAirItem: TMenuItem
          Tag = 8
          Caption = #197' (A&ir)'
          GroupIndex = 3
          RadioItem = True
          OnClick = WavenumbersItemClick
        end
      end
      object N5: TMenuItem
        Caption = '-'
      end
      object MagnifyFromBottomItem: TMenuItem
        Bitmap.Data = {
          DE000000424DDE0000000000000076000000280000000D0000000D0000000100
          0400000000006800000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888000000088
          8000888066666088800088800000008880008888888888888000888800000888
          8000888806660888800080000666000080008806666666088000888066666088
          8000888806660888800088888060888880008888880888888000888888888888
          8000}
        Caption = 'Magnify from &Bottom'
        Hint = 
          'Magnify distance from bottom,  and turn off automatic upper limi' +
          't'
        OnClick = ScaleFromMinButtonClick
      end
      object MagnifyFromTopItem: TMenuItem
        Bitmap.Data = {
          DE000000424DDE0000000000000076000000280000000D0000000D0000000100
          0400000000006800000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8000888888088888800088888060888880008888066608888000888066666088
          8000880666666608800080000666000080008888066608888000888800000888
          8000888888888888800088800000008880008880666660888000888000000088
          8000}
        Caption = 'Ma&gnify from Top'
        Hint = 'Magnify distance from top,  and turn off automatic lower limit'
        OnClick = ScaleFromMaxButtonClick
      end
      object AutoVerticalScaleItem: TMenuItem
        Bitmap.Data = {
          DE000000424DDE0000000000000076000000280000000D0000000D0000000100
          0400000000006800000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888088888
          8000888880608888800088880666088880008880666660888000880666666608
          8000800006660000800088880666088880008000066600008000880666666608
          8000888066666088800088880666088880008888806088888000888888088888
          8000}
        Caption = 'Auto &Vertical Scale'
        Hint = 'Toggle automatic vertical scaling.'
        OnClick = TogleAutoYScaleButtonClick
      end
      object N7: TMenuItem
        Caption = '-'
      end
      object PlotOptionsItem: TMenuItem
        Caption = 'Plot &Options'
        OnClick = PlotOptionsItemClick
        object ColouredItem: TMenuItem
          AutoCheck = True
          Caption = '&Coloured'
          Hint = 'Enable use of colour in plots'
          OnClick = ColouredItemClick
        end
        object LineWidthItem: TMenuItem
          Caption = 'Line &Width...'
          Hint = 'Adjust line width used in plots'
          OnClick = LineWidthItemClick
        end
        object FontItem: TMenuItem
          Caption = '&Font...'
          Hint = 'Select font for plots'
          OnClick = FontItemClick
        end
        object VariableCharSizeItem: TMenuItem
          Caption = '&Variable Char Size'
          Hint = 
            'Set for character size on printout, clipboard and export to refl' +
            'ect on screen proportions'
          OnClick = VariableCharSizeItemClick
        end
        object LimitLineSegmentsItem: TMenuItem
          Caption = '&Limit Line Segments'
          Hint = 'Limit number of segments on a plotted curve'
          OnClick = LimitLineSegmentsItemClick
        end
      end
      object MagnifyPlotItem: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          0400000000008000000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00DDDDDDDDDDDD
          DD0DDDDDDDDDDDDDD000DDDDDDDDDDDD000DDDDDDDDDDDD000DDDDDDDDDDDD00
          0DDDDDD70007DB70DDDDDD07777700BDDDDDD07F8F8F70DDDDDD77F8F9F8F77D
          DDDD078F898F870DDDDD07F99999F70DDDDD078F898F870DDDDD77F8F9F8F77D
          DDDDD07F8F8F70DDDDDDDD0777770DDDDDDDDDD70007DDDDDDDD}
        Caption = '&Zoom to Selected'
        Hint = 'Show selected region only'
        OnClick = MagnifyPlotItemClick
      end
      object ShrinkplotItem: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          0400000000008000000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00DDDDDDDDDDDD
          DD0DDDDDDDDDDDDDD000DDDDDDDDDDDD000DDDDDDDDDDDD000DDDDDDDDDDDD00
          0DDDDDD70007DB70DDDDDD07777700BDDDDDD078F8F870DDDDDD778F8F8F877D
          DDDD07F8F8F8F70DDDDD07899999870DDDDD07F8F8F8F70DDDDD778F8F8F877D
          DDDDD078F8F870DDDDDDDD0777770DDDDDDDDDD70007DDDDDDDD}
        Caption = 'Zoom O&ut'
        Hint = 'Shrink plot'
        OnClick = ShrinkplotItemClick
      end
      object ResetZoomItem: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          04000000000080000000130B0000130B00001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          8808888888888888800088888888888800088888888888800088888888888800
          0888888700078B7088888807777700B88888807F8F8F7088888877F89998F778
          888807898F898708888807F9F8F9F708888807898F898708888877F89998F778
          8888807F8F8F7088888888077777088888888887000788888888}
        Caption = 'R&eset Zoom'
        Hint = 'Reset plot zoom to fill window'
        OnClick = ResetZoomItemClick
      end
    end
    object OverlaysMenu: TMenuItem
      Caption = 'Overla&ys'
      object PasteOverlayItem: TMenuItem
        Bitmap.Data = {
          F6000000424DF600000000000000760000002800000010000000100000000100
          0400000000008000000000000000000000001000000000000000000000000000
          8000008000000080800080000000800080008080000080808000C0C0C0000000
          FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00888888888888
          888888888844444444448000004FFFFFFFF40737374F000000F40373734FFFFF
          FFF40737374F000F44440373734FFFFF4F480737374FFFFF4488037373444444
          408807373737373730880370000000077088077088888807308803730B00B073
          7088800000BB0000088888888000088888888888888888888888}
        Caption = '&Paste'
        Hint = 'Paste spectrum overlay from clipboard'
        OnClick = PasteOverlayItemClick
      end
      object PasteAnotherItem: TMenuItem
        Caption = 'Paste &Another'
        Hint = 'Add a spectrum to the current overlays from the clipboard'
        OnClick = PasteAnotherItemClick
      end
      object SelectRegionItem: TMenuItem
        Caption = '&Select Region'
        Hint = 'Select a region of the overlayed spectrum for action'
        OnClick = SelectRegionItemClick
      end
      object ClearSelectionItem: TMenuItem
        Caption = 'Clear Selection'
        Hint = 'Clear selection of overlayed spectum'
        OnClick = ClearSelectionItemClick
      end
      object InvertItem: TMenuItem
        Caption = '&Invert'
        Hint = 'Invert all overlayed spectra'
        OnClick = InvertItemClick
      end
      object ClearOverlayItem: TMenuItem
        Caption = '&Clear Overlays'
        Hint = 'Remove all overlayed spectra'
        ShortCut = 16430
        OnClick = ClearOverlayItemClick
      end
      object OverlayPropertiesItem: TMenuItem
        Caption = 'P&roperties...'
        Hint = 'Show details of overlayed spectra'
        ShortCut = 16473
        OnClick = OverlayPropertiesItemClick
      end
      object CalibrateItem: TMenuItem
        Caption = 'Cali&brate...'
        Hint = 'Show Calibration dialog'
        ShortCut = 16450
        OnClick = CalibrateItemClick
      end
      object OnImportItem: TMenuItem
        Caption = '&On Import'
        object PromptOnImportItem: TMenuItem
          AutoCheck = True
          Caption = 'P&rompt for data selection'
          Hint = 'Force prompt for data layout on import'
        end
        object DefaulttoArbitraryUnitsItem: TMenuItem
          AutoCheck = True
          Caption = '&Default to Arbitrary Units'
          Checked = True
          Hint = 'If not checked, vertical scale will use Normalised as the units'
        end
      end
      object N1: TMenuItem
        Caption = '-'
      end
      object UsePeakFitterItem: TMenuItem
        AutoCheck = True
        Caption = 'Use Peak Fitter'
        Hint = 'Check to find peaks by fitting to a function'
      end
      object AutofitItem: TMenuItem
        Caption = 'Autofit...'
        ShortCut = 49217
        OnClick = AutofitItemClick
      end
      object DeleteLastPeakItem: TMenuItem
        Caption = '&Delete Last Peak'
        Hint = 'Delete last measured peak'
        ShortCut = 16392
        OnClick = DeleteLastPeakItemClick
      end
      object ClearAllPeaksItem: TMenuItem
        Caption = 'Clear A&ll Peaks'
        Hint = 'Delete all measured peaks'
        OnClick = ClearAllPeaksItemClick
      end
    end
    object ViewMenu: TMenuItem
      Caption = '&View'
      object ConstantsItem: TMenuItem
        Caption = '&Constants...'
        Hint = 'Show molecular constants window'
        ShortCut = 16468
        OnClick = ConstantsItemClick
      end
      object LineListItem: TMenuItem
        Caption = '&LineList...'
        Hint = 'Show line list window'
        ShortCut = 16460
        OnClick = LineListItemClick
      end
      object LogItem: TMenuItem
        Bitmap.Data = {
          66000000424D66000000000000003E000000280000000D0000000A0000000100
          010000000000280000000000000000000000020000000000000000000000FFFF
          FF00FFF800003E6000003E4800003E4800003E480000064800003E4000003FC8
          00003FC8000002780000}
        Caption = 'Lo&g...'
        Hint = 'Show least squares fit log'
        ShortCut = 16455
        OnClick = LogItemClick
      end
      object ResidualsItem: TMenuItem
        Caption = '&Residuals'
        Hint = 'Plot residuals from fit'
        ShortCut = 16466
        OnClick = ResidualsItemClick
      end
      object OverlaysItem: TMenuItem
        Caption = '&Overlays...'
        Hint = 'Show overlay details'
        ShortCut = 16473
        OnClick = OverlayPropertiesItemClick
      end
      object StatesItem: TMenuItem
        Caption = '&States'
        Hint = 'Show states of a particular J and symmetry'
        ShortCut = 49235
        OnClick = StatesItemClick
      end
      object TransitionsItem: TMenuItem
        Caption = '&Transitions'
        Hint = 'Show selected transitions'
        ShortCut = 49236
        OnClick = TransitionsItemClick
      end
      object LevelsItem: TMenuItem
        Caption = 'Le&vels'
        Hint = 'Show energy level plot'
        ShortCut = 49228
        OnClick = LevelsItemClick
      end
      object SpectrumItem: TMenuItem
        Caption = 'Another &Plot'
        Hint = 'Open another spectrum window'
        ShortCut = 16464
        OnClick = SpectrumItemClick
      end
      object SinglePlotItem: TMenuItem
        Caption = 'S&ingle Plot'
        Hint = 'Close all spectrum plots apart from main window'
        OnClick = SinglePlotItemClick
      end
      object ArrangeFormsItem: TMenuItem
        Caption = 'A&rrange Windows'
        Hint = 'Try and arrange PGOPHER windows around main window'
        OnClick = ArrangeFormsItemClick
      end
      object AllWindowsOnTaskBarItem: TMenuItem
        AutoCheck = True
        Caption = 'Windows on Task&bar'
        Hint = 'Toggle display of all windows on task bar'
        OnClick = AllWindowsOnTaskBarItemClick
      end
      object WindowsonTopItem: TMenuItem
        AutoCheck = True
        Caption = 'Windows on Top'
        Checked = True
        Hint = 'Toggle forcing sub windows to be on top of main window'
        OnClick = WindowsonTopItemClick
      end
      object SaveArrangementItem: TMenuItem
        Caption = 'Save Arrangement'
        ShortCut = 16453
        Visible = False
        OnClick = SaveArrangementItemClick
      end
      object N4: TMenuItem
        Caption = '-'
      end
      object TimingItem: TMenuItem
        Caption = 'Ti&ming'
        Hint = 'View time spent in various routines'
        OnClick = TimingItemClick
      end
      object ThreadsItem: TMenuItem
        Caption = 'Threa&ds'
      end
      object ClearLogItem: TMenuItem
        Caption = 'Clear Log'
        Hint = 'Clear log window'
        OnClick = ClearLogItemClick
      end
      object ClearCacheItem: TMenuItem
        Caption = 'Clear Cache'
        Hint = 'Clear any saved calculations'
        OnClick = ClearCacheItemClick
      end
      object ClearObservedItem: TMenuItem
        Caption = 'Clear Observed'
        Hint = 'Clear observed line marks from simulation'
        OnClick = ClearObservedItemClick
      end
      object CalculatorItem: TMenuItem
        Caption = 'Calc&ulator'
        Hint = 'Simple calculator for testing expressions'
        ShortCut = 16469
        OnClick = CalculatorItemClick
      end
    end
    object HelpMenu: TMenuItem
      Caption = '&Help'
      object IndexItem: TMenuItem
        Caption = '&Index'
        Hint = 'Show Available Help'
        OnClick = IndexItemClick
      end
      object SearchItem: TMenuItem
        Caption = '&Search'
        Hint = 'Search available help'
        OnClick = SearchItemClick
      end
      object ProceduresItem: TMenuItem
        Caption = '&Procedures'
        Hint = 'Help on how to do things'
        OnClick = ProceduresItemClick
      end
      object WhatIsItem: TMenuItem
        Caption = '&What Is...'
        Hint = 'Click on something to find out about it'
        ShortCut = 8304
        OnClick = WhatIsItemClick
      end
      object UsingHelpItem: TMenuItem
        Caption = '&Using Help'
        Hint = 'Show help on using the help system'
        OnClick = UsingHelpItemClick
      end
      object AboutItem: TMenuItem
        Caption = '&About...'
        Hint = 'Show version number of program and other information'
        OnClick = AboutItemClick
      end
      object DumpItem: TMenuItem
        Caption = '&Dump'
        ShortCut = 16506
        OnClick = DumpItemClick
      end
    end
  end
  object OpenDialog: TOpenDialog
    DefaultExt = 'pgo'
    Filter = 
      'Pgopher Files (*.pgo; *.ovr)|*.pgo;*.ovr|Pgopher Data Files (*.p' +
      'go)|*.pgo|Pgopher Overlay Files (*.ovr)|*.ovr|All Files|*.*'
    Options = [ofHideReadOnly, ofAllowMultiSelect, ofFileMustExist, ofEnableSizing]
    Left = 24
    Top = 88
  end
  object ImportDialog: TOpenDialog
    DefaultExt = 'dat'
    Filter = 
      'Data Files (*.dat)|*.dat|SPCAT/SPFIT Files (*.par;*.var)|*.par;*' +
      '.var|SpecView Files (*.svw)|*.svw|JB95 Files (*.in;*.jbw)|*.in;*' +
      '.jbw|STROTAB files (*.sta)|*.sta|Output Files (*.out;*.xml;*.log' +
      ')|*.out;*.xml;*.log|VIBCA files (*.vib)|*.vib|ExoMol Files (*.st' +
      'ates)|*.states|All Files (*.*)|*.*'
    Options = [ofHideReadOnly, ofPathMustExist, ofFileMustExist, ofEnableSizing]
    Left = 104
    Top = 88
  end
  object ExportLineListDialog: TSaveDialog
    DefaultExt = 'out'
    Filter = 
      'Output File (*.out)|*.out|CSV (Comma Delimited) (*.csv)|*.csv|Ta' +
      'b delimited text (*.txt)|*.txt|Binary File (*.bin)|*.bin|All Fil' +
      'es|*.*'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Title = 'Export Line List To'
    Left = 104
    Top = 136
  end
  object OpenOverlayDialog: TOpenDialog
    DefaultExt = '.ovr'
    Filter = 
      'Overlay and Data Files (*.ovr,*.dat,*.txt)|*.ovr;*.dat;*.txt|Ima' +
      'ge Files (*.jpg,*.gif,*.bmp,*.png)|*.jpg;*.gif;*.bmp;*.png|All F' +
      'iles (*.*)|*.*'
    FilterIndex = 2
    Options = [ofHideReadOnly, ofAllowMultiSelect, ofPathMustExist, ofFileMustExist, ofEnableSizing, ofForceShowHidden]
    Left = 201
    Top = 89
  end
  object Project: TProject
    AutoNaming = False
    AutoIncrement = False
    Build = 505
    Version = '10.0'
    Company = 'School of Chemistry, University of Bristol'
    Copyright = 'Copyright C M Western 2003-17'
    Comment = 'http://pgopher.chm.bris.ac.uk'
    Description = 
      'Simulates Rotational, Vibrational and Electronic Structure of Sp' +
      'ectra'
    Productname = 'PGOPHER'
    OriginalName = 'pgopher.exe'
    Language = 'UK_English'
    Charset = 'Multilingual'
    FileType = ftProgram
    ResourceFile = 'Version.rc'
    BuildDate = '13 Feb 2017 17:16'
    Left = 25
    Top = 184
  end
  object ActionList: TActionList
    Left = 200
    Top = 40
    object ExCopy: TExCopy
      Category = 'Edit'
      Caption = '&Copy'
      Hint = 'Copy|Copies the selection and puts it on the Clipboard'
      ImageIndex = 1
      ShortCut = 16451
    end
    object ExPaste: TExPaste
      Category = 'Edit'
      Caption = '&Paste'
      Hint = 'Paste|Inserts Clipboard contents'
      ImageIndex = 2
      ShortCut = 16470
    end
  end
  object GraphPrintPreview: TGraphPrintPreview
    XSize = -1.000000000000000000
    YSize = -1.000000000000000000
    XMargin = -2000000.000000000000000000
    YMargin = -2000000.000000000000000000
    Options = [ppShowPrint, ppShowPrintSetup, ppShowLandPort, ppShowPages, ppShowCentre, ppShowDefault, ppShowZoom, ppShowMaximize, ppShowClose]
    DefaultDrawing = False
    DefaultFraction = 0.900000000000000000
    Graph = G
    Left = 200
    Top = 136
  end
  object SaveDialog: TSaveDialog
    DefaultExt = '.pgo'
    Filter = 'Pgopher Data Files (*.pgo)|*.pgo'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Left = 24
    Top = 136
  end
  object RecentFiles: TRecentFiles
    AddAfter = FileExitSeparator
    AutoSaveName = 'Pgopher'
    AutoSaveKey = 'MRU Items'
    OnClick = MRUFileListMRUItemClick
    OnGetDisplayName = MRUFileListGetDisplayName
    MaxItems = 10
    Left = 104
    Top = 40
  end
end
