program slave;

{$mode objfpc}{$H+}

uses
  CThreads, Interfaces,
  TextForm in 'TextForm.pas',
  Forms, Menus, Classes, SysUtils, TextWin, ImageMod;

var
  i: Integer;
  CurDir, OrgDir: string;
  FirstFile: Integer;
{ TODO: Scroll doesn't hide and reveal cursor }
{ TODO: Scroll bars not quite right }
begin
  Application.Initialize;
  Application.CreateForm(TImageModule, ImageModule);
  Application.CreateForm(TMainText, MainText);
  Application.ProcessMessages;
  try
    if ParamCount > 0 then
      if (ParamStr(1)[1] = '.') and (Pos(PathDelim, ParamStr(1)) = 0) then begin
        MainText.SetDefaultExt(ParamStr(1));
        MainText.FileOpenClick(nil);
      end else begin
        if ParamStr(1) = '--cd' then begin
          FirstFile := 3;
          SetCurrentDir(ParamStr(2));
        end else
          FirstFile := 1;
        OrgDir := GetCurrentDir;
        if FirstFile <= Paramcount then
          MainText.LoadFile(ParamStr(FirstFile));
        CurDir := GetCurrentDir;
        for i := FirstFile+1 to ParamCount do begin
          SetCurrentDir(OrgDir);
          LoadFileInto(ParamStr(i), MainText);
        end;
        SetCurrentDir(CurDir);
      end;
  except
    on E:Exception do
      Application.ShowException(E);
  end;
  Application.Run;
end.

