unit NextTok;
{$I utils.inc}{Copyright (C) 2010 C M Western; see UCompat.pas for license}

interface

function NextToken(var line: string): string;
{ Simple parser for a string; repeated calls return
  the next token, and remove it from the string }

implementation

function NextToken(var line: string): string;
var
  s, e: Integer;
begin
  Result := '';
  s := 1;
  while (s <= Length(line)) and (line[s] <= ' ') do
    Inc(s);
  e := s;
  while (e <= Length(line)) and (line[e] > ' ') do
    Inc(e);
  if e > s then begin
    Result := Copy(line,s,e-s);
    while (e <= Length(line)) and (line[e] <= ' ') do
      Inc(e);
    Delete(line,1,e-1);
  end else
    line := '';
end;

end.
