#MSYS = G:\Apps\1.0
#MG = $(MSYS)\mingw\bin\\
#TASM="c:\Program Files (x86)\Embarcadero\RAD Studio\9.0\bin\tasm32.exe"
#TASM="c:\Program Files (x86)\Embarcadero\RAD Studio\10.0\bin\tasm32.exe"
TASM="C:\Program Files (x86)\Embarcadero\Studio\16.0\bin\tasm32.exe"
#SED=f:\MinGW\bin\sed.exe
SED=sed.exe
all: $(POBJ)

.obj.pobj:
	copy $< $@
	copy $@ ..

clean:
	-del *.OBJ *.asm
	-del $(OBJ:.obj=.f)

.f.asm:
	$(MG)gfortran -march=i386 -m32 -masm=intel -O3 -funroll-all-loops -funsafe-math-optimizations -mfancy-math-387 -minline-all-stringops -frecursive -S -o $@ $<
# -O3 -funroll-all-loops -funsafe-math-optimizations -mfancy-math-387 -minline-all-stringops 
# Should be compiled with -frecursive, when available

# Copy tasm32, as it doesn't seem to like a long path name for itself
.asm.obj:
	copy $< org.asm
	copy $(TASM) .
	$(SED) -f ../../utils/tasmstrip $< >b2.asm
	$(SED) -e"s/_\([a-zA-Z0-9]*\)_/\1_/" b2.asm >b1.asm
	$(SED) -e "/.def/d" b1.asm >wibble.asm
	$(SED) -e "/.def/!d" -e"s/.def/GLOBAL/" -e"s/;/:NEAR;/" -e"s/\.scl.*endef//" b1.asm >wglobals.asm
	$(SED) -f ../../utils/tasmfix wibble.asm >$<
	tasm32 /w-ALN /kh17000 $<,$@
	-del tasm32.exe

$(OBJ:.obj=.f): $(SOURCES)
	cat $** >$@

