{$IFNDEF MSWINDOWS}
  {$IFNDEF UNIX}
    {$DEFINE MSWINDOWS}
  {$ENDIF}
{$ENDIF}

{$IFDEF LINUX}
  {$IFNDEF UNIX}
    {$DEFINE UNIX}
  {$ENDIF}
{$ENDIF}

{$IFDEF FPC}
  {$IFDEF NOAT}
    {$MODE DELPHI}
  {$ELSE}
    {$mode objfpc}
    {$modeswitch advancedrecords}
  {$ENDIF}
  {$H+}
  {$DEFINE DFS_COMPILER_1_UP}
  {$DEFINE DFS_COMPILER_2_UP}
  {$DEFINE DFS_COMPILER_3_UP}
  {$DEFINE DFS_COMPILER_4_UP}
  {$DEFINE DFS_DELPHI_2_UP}
  {$DEFINE DFS_DELPHI_3_UP}
  {$DEFINE DFS_DELPHI_4_UP}
  {$DEFINE DFS_DELPHI_5_UP}
  {$DEFINE LCL_}
{$ELSE}
  {$B-}
  // C++Builder requires this if you use Delphi components in run-time packages.
  {$ObjExportAll On}
  {$IFDEF WIN64}
    {$DEFINE CPU64}
  {$ELSE}
    {$DEFINE CPU32}
    {$DEFINE CPU86}
  {$ENDIF}
  {$DEFINE DELPHI}
{$ENDIF}

{$IFDEF CONDITIONALEXPRESSIONS}
 {$IFNDEF FPC}
  {$IFDEF LINUX}
    {$DEFINE CLX_}
  {$ENDIF}
 {$ENDIF}
{$ENDIF}

{$IFNDEF VCL_}
 {$IFNDEF CLX_}
  {$IFNDEF LCL_}
   {$DEFINE VCL_}
  {$ENDIF}
 {$ENDIF}
{$ENDIF}

{$IFDEF VER80}
  {$DEFINE CPU16}
{$ELSE}
  {$DEFINE INLINE}
{$ENDIF}

{$IFDEF LCL_}
  {$IFDEF MSWINDOWS}
    {$DEFINE WINLCL}
  {$ELSE}
    {$DEFINE NONWINLCL}
    {$IFDEF LCLgtk}
      {$DEFINE LCLanygtk}
    {$ENDIF}
    {$IFDEF LCLgtk2}
      {$DEFINE LCLanygtk}
    {$ENDIF}
    {$IFDEF LCLgtk3}
      {$DEFINE LCLanygtk}
    {$ENDIF}
    {$IFDEF LCLanygtk}
      {$DEFINE XBASED}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

{$IFDEF NOCONSOLE}
  {$IFDEF CONSOLE}
    {$UNDEF CONSOLE} {fpc 2.7.1 introduced CONSOLE flag, but it means something slightly different}
  {$ENDIF}
{$ENDIF}
